Metrics
List metrics
GET
/
metrics
List metrics
curl --request GET \
--url https://use.observer/api/v1/metrics \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://use.observer/api/v1/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://use.observer/api/v1/metrics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"query": "<string>",
"source_type": "<string>",
"current_status": "healthy",
"current_value": "<string>",
"current_timestamp": "2023-11-07T05:31:56Z",
"unit": "<string>",
"value_description": "<string>",
"pending_status": "healthy",
"pending_since": "2023-11-07T05:31:56Z",
"reason": "<string>",
"reason_label": "<string>",
"reason_hint": "<string>",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"config_key": "<string>",
"managed_by": "config",
"suspended": true,
"suspended_at": "2023-11-07T05:31:56Z",
"stale": true
}
],
"next_cursor": "<string>"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}Authorizations
Query Parameters
Was this page helpful?
⌘I
List metrics
curl --request GET \
--url https://use.observer/api/v1/metrics \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://use.observer/api/v1/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://use.observer/api/v1/metrics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"query": "<string>",
"source_type": "<string>",
"current_status": "healthy",
"current_value": "<string>",
"current_timestamp": "2023-11-07T05:31:56Z",
"unit": "<string>",
"value_description": "<string>",
"pending_status": "healthy",
"pending_since": "2023-11-07T05:31:56Z",
"reason": "<string>",
"reason_label": "<string>",
"reason_hint": "<string>",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"config_key": "<string>",
"managed_by": "config",
"suspended": true,
"suspended_at": "2023-11-07T05:31:56Z",
"stale": true
}
],
"next_cursor": "<string>"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}
